com.ihr.xbrl.om.formula.functions.errors

## Class XFIEPeriodIsForever

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.xml.transform.TransformerException
      - - net.sf.saxon.trans.XPathException
        - - com.ihr.xbrl.om.formula.functions.errors.XFException
          - - com.ihr.xbrl.om.formula.functions.errors.XFIEPeriodIsForever

- All Implemented Interfaces:
    java.io.Serializable

      public class XFIEPeriodIsForever
      extends XFException

  The Class XFIEPeriodIsForever.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.saxon.trans.XPathException

      `net.sf.saxon.trans.XPathException.Circularity`

  - ### Field Summary

    - ### Fields inherited from class com.ihr.xbrl.om.formula.functions.errors.XFException

      `XBRLDFE, XBRLDFEPFX, XBRLFFE, XBRLFFEPFX, XBRLFIE, XBRLFIEPFX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XFIEPeriodIsForever(java.lang.String message)` Instantiates a new XFIE period is forever.

  - ### Method Summary

    - ### Methods inherited from class com.ihr.xbrl.om.formula.functions.errors.XFException

      `getQNameError`

    - ### Methods inherited from class net.sf.saxon.trans.XPathException

      `getAdditionalLocationText, getErrorCodeLocalPart, getErrorCodeNamespace, getErrorCodeQName, getErrorObject, getXPathContext, hasBeenReported, isGlobalError, isReportableStatically, isStaticError, isTypeError, makeStatic, makeXPathException, maybeSetContext, maybeSetErrorCode, maybeSetLocation, setAdditionalLocationText, setErrorCode, setErrorCodeQName, setErrorObject, setHasBeenReported, setIsGlobalError, setIsStaticError, setIsTypeError, setXPathContext`

    - ### Methods inherited from class javax.xml.transform.TransformerException

      `getCause, getException, getLocationAsString, getLocator, getMessageAndLocation, initCause, printStackTrace, printStackTrace, printStackTrace, setLocator`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XFIEPeriodIsForever

          public XFIEPeriodIsForever(java.lang.String message)

      Instantiates a new XFIE period is forever.
      Parameters:
        `message` - the message